- avatar = true unless local_assigns[:avatar] == false
- stars = true unless local_assigns[:stars] == false
- forks = false unless local_assigns[:forks] == true
- ci = false unless local_assigns[:ci] == true
- skip_namespace = false unless local_assigns[:skip_namespace] == true
- css_class = '' unless local_assigns[:css_class]
- show_last_commit_as_description = false unless local_assigns[:show_last_commit_as_description] == true
- css_class += " no-description" if project.description.blank? && !show_last_commit_as_description
- ci_commit = project.ci_commit(project.commit.sha) if ci && !project.empty_repo? && project.commit
- cache_key = [project.namespace, project.namespace.owner, project, controller.controller_name, controller.action_name, current_application_settings, 'v2.2']
- cache_key.push(ci_commit.status) if ci_commit

%li.project-row{ class: css_class }
  = cache(cache_key) do
    = link_to project_path(project), class: dom_class(project) do
      - if avatar
        .dash-project-avatar
          - if use_creator_avatar
            = image_tag avatar_icon(project.creator.email, 46), class: "avatar s46", alt:''
          - else
            = project_icon(project, alt: '', class: 'avatar project-avatar s46')
      %span.project-full-name
        %span.namespace-name
          - if project.namespace && !skip_namespace
            = project.namespace.human_name
            \/
        %span.project-name.filter-title
          = project.name

    .project-controls
      - if ci_commit
        = render_ci_status(ci_commit)
        &nbsp;
      - if forks
        %span
          = icon('code-fork')
          = project.forks_count
      - if stars
        %span
          = icon('star')
          = project.star_count
    - if show_last_commit_as_description
      .project-description
        = link_to_gfm project.commit.title, namespace_project_commit_path(project.namespace, project, project.commit),
          class: "commit-row-message"
    - elsif project.description.present?
      .project-description
        = markdown(project.description, pipeline: :description)
